#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "QtGamepad/qgamepadmanager.h"
#include "QDebug"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    connect(QGamepadManager::instance(), &QGamepadManager::connectedGamepadsChanged, this,
          []() { qDebug() << "connected gamepads changed:"; });
    connect(QGamepadManager::instance(), &QGamepadManager::gamepadConnected, this,
          [](int deviceId) { qDebug() << "gamepad connected:" << deviceId; });
    connect(QGamepadManager::instance(), &QGamepadManager::gamepadDisconnected, this,
          [](int deviceId) { qDebug() << "gamepad disconnected:" << deviceId; });
}

MainWindow::~MainWindow()
{
    delete ui;
}
